package de.fraunhofer.iem.dataprovider.gitlab

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.taskManager.RepoChangedEvent
import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import org.springframework.stereotype.Service



@Service
class GitlabService(private val openCodeGitlabConfiguration: OpenCodeGitlabConfiguration, private val taskManager: TaskManager) {

    private val logger = getLogger(javaClass)

    suspend fun queryOpenCodeProject(repoId: Long) {
        taskManager.addEvent(RepoChangedEvent(repoId = repoId, gitConfiguration = openCodeGitlabConfiguration))
    }

}